MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
sc::SCVectorSimpleSubBlockIter Class Reference
Inheritance diagram for sc::SCVectorSimpleSubBlockIter:
[legend]
Collaboration diagram for sc::SCVectorSimpleSubBlockIter:
[legend]

## Public Member Functions
| SCVectorSimpleSubBlockIter (SCVectorSimpleSubBlock *)
int | i ()
| Returns the row index.
int | j ()
| Returns the column index.
double | get ()
| Return the value of the current element.
void | set (double)
| Set the current element to val.
| operator int ()
| Return nonzero if there are more elements.
void | operator++ ()
| Move to the next element.
void | reset ()
| Start the iteration over.
Public Member Functions inherited from sc::SCMatrixBlockIter
virtual void | accum (double val)
| Add val to the current element.
void | operator++ (int)

The documentation for this class was generated from the following file:

- blkiter.h